# vim: set sw=4 ts=4 et nu:

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:               morituri
Version:            0.1.2
Release:            1.7
Summary:            CD Ripper
Source:             http://thomas.apestaart.org/download/morituri/morituri-%{version}.tar.bz2
Source99:           morituri-rpmlintrc
URL:                https://thomas.apestaart.org/morituri/trac/
Group:              Productivity/Multimedia/CD/Grabbers
License:            GNU General Public License version 3 (GPL v3)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      cdparanoia
BuildRequires:      cdrdao
BuildRequires:      python-gstreamer-0_10
BuildRequires:      python-musicbrainz2
BuildRequires:      python-pycdio
BuildRequires:      python-devel
BuildRequires:      make pkgconfig
BuildRequires:      autoconf automake libtool
Requires:           cdparanoia
Requires:           cdrdao
Requires:           python-gstreamer-0_10
Requires:           python-musicbrainz2
Requires:           python-pycdio
BuildArch:          noarch
%py_requires

%description
morituri is a CD ripper that aims for accuracy over speed. Its features are
modeled to compare with Exact Audio Copy on Windows. It features support for
MusicBrainz for metadata lookup, support for AccurateRip verification,
detection of sample read offset of drives, the ability to test and copy a rip,
the ability to detect and rip Hidden Track One Audio, templates for file and
directory naming, and tagging using GStreamer. Currently, it only supports
lossless encoding and only has a command line client.

%prep
%setup -q

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%config /etc/bash_completion.d/rip
%{_bindir}/rip
%{python_sitelib}/morituri
%doc %{_mandir}/man1/rip.1%{ext_man}

%changelog
* Sun Jun  5 2011 pascal.bleser@opensuse.org
- initial version (0.1.2)
